function cd = center_difference(x,t)
%Differentiaties a vector x with respect to vector of times (t) using centered difference formula in middle of
%data and forward and backward difference at the ends
cd = zeros(size(x));
cd(1) = (x(2)-x(1))/(t(2)-t(1));
for i=2:length(cd)-1
    cd(i)= (x(i+1)-x(i-1))/(t(i+1)-t(i-1));
end
cd(end)=(x(end)-x(end-1))/(t(end)-t(end-1));